Skip to main content
GET
Candlestick Data

Path Parameters

tradingPairId
string
default:893d2add-2f36-4ee7-b660-893d2add2f36
required
interval
string
default:1m
required

Query Parameters

startTime
integer<int64>

Start time as Unix timestamp (milliseconds)

Required range: 0 <= x <= 4102444800000
endTime
integer<int64>

End time as Unix timestamp (milliseconds)

Required range: 0 <= x <= 4102444800000
limit
integer<uint32>
default:100

Max candles to return (max 1000)

Required range: 1 <= x <= 1000
priceType
enum<string>
default:trade

Price series to chart: trade (default, trade-derived OHLCV) or mark (mark-price series, margin pairs only; each candle's open/high/low/close are the bucket's closing mark and volume is 0)

Available options:
trade,
mark
Minimum string length: 1

Response

OK

OHLCV candlestick data.

candles
object[] | null